#3 patch to fix gcc 4.3 compilation errors

closed-fixed
None
5
2009-04-14
2008-11-08
No

I have attached a patch which lets it compile under gcc 4.3. I am using the old <stdlib.h> header rather than the new <cstdlib> header, which would probably be better, but anyhow it works with this patch under the latest Ubuntu (08.10) and gcc 4.3.2.

Discussion

  • Jason Derenick

    Jason Derenick - 2009-04-14
    • status: open --> pending
     
  • Jason Derenick

    Jason Derenick - 2009-04-14
    • assigned_to: nobody --> cmansley
    • status: pending --> open
     
  • Chris Mansley

    Chris Mansley - 2009-04-14

    Two additions of the stdlib.h include files fixed this in revision 48. I verified that the library compiles under GCC 4.3.

     
  • Chris Mansley

    Chris Mansley - 2009-04-14
    • status: open --> closed-fixed
     

Log in to post a comment.